<template>
  <div>
    <h1>Hello, {{ content }}!</h1>
    <input type="text" v-model.lazy.trim="content" placeholder="World" />
  </div>

  <div>
    <h1>Select likes:</h1>
  </div>
  <div>
    <label for="in-js">Javascript</label>
    <input type="checkbox" v-model="interests" value="Javascript" id="in-js" />
  </div>
  <div>
    <label for="in-hiking">Hiking</label>
    <input type="checkbox" v-model="interests" value="Hiking" id="in-hiking" />
  </div>
  <div>
    <label for="in-dotnet">C#</label>
    <input type="checkbox" v-model="interests" value="C#" id="in-dotnet" />
  </div>
  <div>
    <label for="in-pizza">Pizza</label>
    <input type="checkbox" v-model="interests" value="Pizza" id="in-pizza" />
  </div>
  <div>
    <h1>I like:</h1>
    <ul>
      <li v-for="interest in interests" :key="interest">{{ interest }}</li>
    </ul>
    <h1>Raw data:</h1>
    <pre>const content = {{ JSON.stringify(content) }}</pre>
    <pre>const interests = {{ JSON.stringify(interests) }}</pre>
  </div>
</template>

<script setup>
import { ref } from 'vue'
const content = ref('World')
const interests = ref([])
</script>

<style scoped></style>
